GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
GpgFrontend::UI::ListedKeyServerTestThread Class Reference
Inheritance diagram for GpgFrontend::UI::ListedKeyServerTestThread:
Collaboration diagram for GpgFrontend::UI::ListedKeyServerTestThread:

## Signals
void | SignalKeyServerListTestResult (const QStringList &result)

## Public Member Functions
| ListedKeyServerTestThread (const QStringList &urls, int timeout, QWidget *parent=nullptr)

## Protected Member Functions
void | run () override

## Private Attributes
QStringList | urls_
QStringList | result_
int | timeout_ = 500

## Member Function Documentation

## ◆ run()

void GpgFrontend::UI::ListedKeyServerTestThread::run | ( |  | ) |
| override protected

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

References SignalKeyServerListTestResult().

## ◆ SignalKeyServerListTestResult

void GpgFrontend::UI::ListedKeyServerTestThread::SignalKeyServerListTestResult | ( | const QStringList & | result | ) |
| signal

Parameters

  result |

Referenced by run().

The documentation for this class was generated from the following files:

- src/ui/thread/ListedKeyServerTestThread.h
- src/ui/thread/ListedKeyServerTestThread.cpp